import { ToolbarItem } from './toolbar-item';
export declare abstract class ToolbarAction extends ToolbarItem {
    protected button?: HTMLButtonElement;
    protected onClickListener: () => Promise<void>;
    protected abstract execute(): Promise<void> | void;
    initialize(): Promise<void>;
    terminate(): Promise<void>;
    get enabled(): boolean;
    get activated(): boolean;
    enable(): void;
    disable(): void;
    toggle(value?: boolean): void;
    protected markAsActivated(value?: boolean): void;
    protected onClick(): Promise<void>;
}
